#include <bits/stdc++.h>

using namespace std;

struct dem
{
    long long a;
    long long b;
};
dem x[10000];

long long ser(long long k)
{
    long long i, n = -1,  m= 100000;
    for (i=0;i<=k;i++)
    {
        if ((x[i].b<m) && (x[i].b!=0))
        {
            m=x[i].b;
            n=i;
        }

    }

    return n;
}

int main()
{
    ios::sync_with_stdio(0);
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long a, b, c, n, s , m, i, j, k;
    s=0;
    cin>>n;
    for (i=0;i<n;i++)
    {
        cin>>a;
        cin>>b;
        x[i].a=a;
        x[i].b=b;
    }

    for (i=0;i<n-1;i++)
    {
        for (j=i+1;j<n;j++)
        {
            if (x[i].a<x[j].a) swap(x[i],x[j]);
        }
    }


    m=0;
    for (i=0;i<=n-1;i++)
    {
        if (i==n-1) k=x[n-1].a;
        else
        k=x[i].a-x[i+1].a;
        a=ser(i);
        x[a].b=x[a].b-k;
        k=0;
        if (x[a].b==0) s++;
        if (x[a].b<0)
        {
            k=abs(x[a].b);
            x[a].b=0;
            s++;
        }
        while (k>0)
        {
            a=ser(i);
            if (a==(-1))
            {
                k=0;
                break;
            }
            x[a].b=x[a].b-k;
            k=0;
            if (x[a].b==0) s++;
            if (x[a].b<0)
            {
                k=abs(x[a].b);
                x[a].b=0;
                s++;
            }

        }

    }
    cout<<s;


}
